Subject: Re: [PATCH/RFC] sysfs cache code rewrite

From: Nathan Lynch <[email-masked]>
Date: Wed, 7 Jan 2009 03:46:11 -0600

Benjamin Herrenschmidt wrote:
> 
> > I don't know quite the detail of the new cpumask stuff ... It could be
> > as simple as passing a pointer instead of the value in the
> > cpumask_scnprintf call though...
> 
> Actually, I'll do more tests and if that ends up being the only needed
> change, I'll push your patch with that small change out to powerpc next
> tonight.

Sorry about that, here's an incremental... let me know if you want the
whole thing re-posted.

Thanks.

diff --git a/arch/powerpc/kernel/cacheinfo.c b/arch/powerpc/kernel/cacheinfo.c
index f3e3ae3..b33f041 100644
--- a/arch/powerpc/kernel/cacheinfo.c
+++ b/arch/powerpc/kernel/cacheinfo.c
@@ -611,7 +611,7 @@ static ssize_t shared_cpu_map_show(struct kobject *k, struct kobj_attribute *att
 	len = PAGE_SIZE - 2;
 
 	if (len > 1) {
-		n = cpumask_scnprintf(buf, len, cache->shared_cpu_map);
+		n = cpumask_scnprintf(buf, len, &cache->shared_cpu_map);
 		buf[n++] = '\n';
 		buf[n] = '\0';
 	}